Page MenuHomeMiraheze

Review Kartographer extension
Closed, ResolvedPublic

Description

OpenStreetMap has a few extensions listed here: http://wiki.openstreetmap.org/wiki/Category:MediaWiki_extensions

I think BoulderWiki.org would benefit greatly from being able to embed somewhat interactive map views from the OSM project, if it is possible to do so.

Thanks
Robert

Event Timeline

Reception123 added a project: Extensions.
Reception123 added subscribers: Samtar, labster.

These would need to be reviewed. So it might take a while. @labster @Samtar

@Reception123 I just found this extension is the one that Wikipedia uses and maintains, so it might be better than all the rest: https://www.mediawiki.org/wiki/Help:Extension:Kartographer

@Boulder_Rob Ok, please note that it might take a while before it is reviewed.

Reception123 renamed this task from Is it possible to add a mediawiki module for embedding openstreetmap views? to Review Kartographer extension.Aug 19 2016, 03:43
labster added a comment.Aug 27 2016, 09:04

@Boulder_Rob The security review is OK. But we'd need to build a production maps cluster to use this extension, and no one here has experience in doing so. I mean, technically I do have GIS experience but I'm also a programmer not a sysadmin, so anyway, this extension is declined.

If you want to suggest another map extension that allows external resources to be loaded, that would be fine. That might eventually be the case for Kartographer, but: For now, maps.wikimedia.org only accepts requests from the domains in wmflabs.org, *.wikivoyage.org, or incubator.wikimedia.org.

Actually, I have to ask you, have you looked into working with localwiki.org? I used to be a part of that project a while back, and they have a lot of built-in support for maps and VisualEditor type stuff. There's a virtually empty wiki sitting around at https://localwiki.org/boulder/ -- if you're interested, I can get you in touch with the leadership over there and get you an admin account. The only issue over there is the ability to fork -- not so much due to policy but due to the fact that they're running their own custom backend that no other farm will be running. It is all open-source software, though.

Samtar lowered the priority of this task from Normal to Low.Aug 27 2016, 15:51
Gordonuk moved this task from Waiting for review to Backlog on the Extensions board.Aug 31 2016, 21:54
Gordonuk moved this task from Backlog to Waiting for review on the Extensions board.
John moved this task from Waiting for review to Backlog on the Extensions board.Nov 3 2016, 16:57
John closed this task as Declined.Dec 10 2016, 22:09
John claimed this task.
Lev added a subscriber: Lev.Apr 20 2018, 19:32
revi reopened this task as Open.Apr 27 2018, 15:59
revi removed John as the assignee of this task.
revi added subscribers: John, revi.

Seems maps.wm.o is free to use by external parties (subject to their Maps ToU) now - maybe this can be re-considered?

If you want to suggest another map extension that allows external resources to be loaded, that would be fine. That might eventually be the case for Kartographer, but: For now, maps.wikimedia.org only accepts requests from the domains in wmflabs.org, *.wikivoyage.org, or incubator.wikimedia.org.

^ is no longer true.

Lev raised the priority of this task from Low to Normal.May 1 2018, 18:49
labster moved this task from Backlog to Reviewed on the Extensions board.May 1 2018, 19:20

This is a WMF extension, and therefore bypasses the security review. I assume the Maps service is subject to the same privacy policy as is normal for WMF projects, so we don't really have issues with that, either. It's just a matter of installation and configuration, now.

Lev added a comment.May 3 2018, 10:59

Seems like Kartographer was installed and enabled on test1wiki.

The question now is how to comply with Wikimedia Maps terms of use so that Miraheze doesn't need to install their own version of server-side tools. There seems to be a requirement to have a custom user agent when requesting Wikimedia Maps, is this possible (or is this required to have, if that is not possible)?

Once this is dealt with, I would guess that many people would like this extension to be enabled on their wikis (for example, I'd want it on isvwiki).

Paladox added a subscriber: Paladox.May 3 2018, 11:41

@labster would you know how we could enable that whilst complying with wmf terms for the map service?

The maps are rendering fine for me.

John added a comment.May 3 2018, 12:53

We seem to be fine in terms of compliance.

John closed this task as Resolved.May 3 2018, 12:54
John claimed this task.

Since this was a review/install task - this is done.

MacFan4000 reopened this task as Open.May 3 2018, 13:00
MacFan4000 removed John as the assignee of this task.

The extension has not been enabled on the wiki as requested as per the task description, so this is still open.

John added a comment.May 3 2018, 13:02

Then this shouldn’t be a “review” task per the title.

I'll do this sometime, today. It was @Reception123 that renamed the task.

MacFan4000 claimed this task.May 3 2018, 13:07
Lev added a comment.May 3 2018, 13:09

I don't think the wiki of original requester exists, but if you would do mine, it's fine and welcome, yes.

MacFan4000 closed this task as Resolved.May 3 2018, 14:26

yeah , looks like boulderwiki no longer exists

MacFan4000 mentioned this in Unknown Object (Diffusion Commit).May 3 2018, 14:43
Lev added a comment.EditedMay 3 2018, 16:51

Seems like without JavaScript the map is not being loaded, because the URL at Wikimedia Maps server reports this:

"Domain is not allowed"

This is somewhat expected since the maps availability is latest development, but maybe someone can write about this to Wikimedia devs?

Edit: I would also mention that this 400 error from PNG shows up on all pages using maps in my wiki.

revi added a comment.May 4 2018, 14:19
In T650#57478, @Lev wrote:

Seems like without JavaScript the map is not being loaded, because the URL at Wikimedia Maps server reports this:

"Domain is not allowed"

This is somewhat expected since the maps availability is latest development, but maybe someone can write about this to Wikimedia devs?
Edit: I would also mention that this 400 error from PNG shows up on all pages using maps in my wiki.

Notified. No ETA as usual, though.

John changed the status of subtask T3074: Kartographer with Wikimedia Maps fail from Open to Stalled.May 29 2018, 13:27